Subject: Re: [PATCH v4 5/8] transport: add client side capability to request object-info

From: Junio C Hamano <[email-masked]>
Date: Wed, 04 May 2022 08:50:18 -0700

Jonathan Tan <[email-masked]> writes:

> RTT more than necessary. We could just determine if the server supports
> the attributes we want by using capabilities (without needing to send
> the request to check).

Hmph.  capabilities may cut in both ways, though.

Those clients that are not interested in object-info at all (which
are the majority of case where people clone, fetch or ls-remote),
they do not even need to know what kind of object attributes the
object-info command is prepared to report, and they would appreciate
not having to spend any extra byte in the capability-advertisement.

Of course, for object-info clients, having it upfront does make
things simpler.

So...